#!/bin/sh

# showffw.sh by Brad Skiff 20060825
# 
. /etc/config
. /etc/inside.info
. /etc/outside.info

OUT_MAC=`ifconfig |grep eth0 |cut -f 2 -d 'W' |cut -f 2 -d ' '`
IN_MAC=`ifconfig |grep eth1 |cut -f 2 -d 'W' |cut -f 2 -d ' '`

myvers=`uname -r` 

printf "## Revision: ${myvers} ##\n
\t\t   Inside\t\tOutside
      MAC HWaddr:  %-17s\t%-17s
 Physical device:  %-17s\t%-17s
  Logical device:  %-17s\t%-17s
\t Network:  %-17s\t%-17s
      IP Address:  %-17s\t%-17s
\t Netmask:  %-17s\t%-17s
       Broadcast:  %-17s\t%-17s
\t Gateway:  %-17s\t%-17s\n"    $IN_MAC			$OUT_MAC \
				$INSIDE_DEV		$OUTSIDE_DEV \
				$INSIDE_DEVICE		$OUTSIDE_DEVICE \
				$INSIDE_NETWORK 	$OUTSIDE_NETWORK \
				$INSIDE_IP		$OUTSIDE_IP \
				$INSIDE_NETMASK		$OUTSIDE_NETMASK \
				$INSIDE_BROADCAST	$OUTSIDE_BROADCAST \
				"[None Set]"		$OUTSIDE_GATEWAY

echo 
echo "contents of /etc/resolv.conf:"
cat /etc/resolv.conf
echo 
echo "End of floppyfw Inside/Outside settings."
